%global bundle  org.apache.felix.gogo.shell

%bcond_without tests

Name:           felix-gogo-shell
Version:        1.1.4
Release:        %mkrel 3
Group:          Development/Java
Summary:        Apache Felix Gogo command line shell for OSGi
License:        ASL 2.0
URL:            https://felix.apache.org/documentation/subprojects/apache-felix-gogo.html
BuildArch:      noarch

Source0:        https://archive.apache.org/dist/felix/%{bundle}-%{version}-source-release.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.felix:gogo-parent:pom:) >= 5
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.apache.felix:org.apache.felix.gogo.runtime)
BuildRequires:  mvn(org.osgi:osgi.annotation)
BuildRequires:  mvn(org.osgi:osgi.core)
%if %{with tests}
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.mockito:mockito-core)
%endif

%description
Apache Felix Gogo is a subproject of Apache Felix implementing a command
line shell for OSGi. It is used in many OSGi runtimes and servers.

This package provides a simple textual user interface to interact with the
command processor.

%package javadoc
Summary: Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{bundle}-%{version}

%mvn_file : felix/%{bundle}

%build
%if %{with tests}
%mvn_build
%else
%mvn_build -f
%endif

%install
%mvn_install

%files -f .mfiles
%license LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE



%changelog
* Thu May 23 2024 ns80 <ns80> 1.1.4-3.mga10
+ Revision: 2066592
- rebuild for java 21

* Sat Mar 26 2022 umeabot <umeabot> 1.1.4-2.mga9
+ Revision: 1827743
- Mageia 9 Mass Rebuild

* Sun Mar 07 2021 daviddavid <daviddavid> 1.1.4-1.mga9
+ Revision: 1700329
- Update to latest upstream release 1.1.4

* Fri Sep 11 2020 daviddavid <daviddavid> 1.1.0-4.mga8
+ Revision: 1624367
- Rebuilt for JDK-11

* Wed Feb 12 2020 umeabot <umeabot> 1.1.0-3.mga8
+ Revision: 1501383
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.1.0-2.mga7
+ Revision: 1278228
- Mageia 7 Mass Rebuild

* Sun Aug 26 2018 daviddavid <daviddavid> 1.1.0-1.mga7
+ Revision: 1254599
- new version: 1.1.0 (sync with fc29)

* Wed Mar 02 2016 neoclust <neoclust> 0.10.0-18.mga6
+ Revision: 982046
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 0.10.0-17.mga6
+ Revision: 977180
- First rebuild of the java stack
- sync package felix-gogo-shell with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Thu Dec 25 2014 pterjan <pterjan> 0.10.0-9.mga5
+ Revision: 805862
- Clean rebuild
- Sync with Fedora 21

* Wed Oct 15 2014 umeabot <umeabot> 0.10.0-7.mga5
+ Revision: 750424
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 0.10.0-5.mga4
+ Revision: 537306
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 dmorgan <dmorgan> 0.10.0-4.mga4
+ Revision: 486725
- Initial SCLization.

* Mon Jul 15 2013 dmorgan <dmorgan> 0.10.0-3.mga4
+ Revision: 454816
- Rebuild against current Java Stack

* Fri Jan 11 2013 umeabot <umeabot> 0.10.0-2.mga3
+ Revision: 350130
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 05 2012 dmorgan <dmorgan> 0.10.0-1.mga3
+ Revision: 267921
- New version

* Tue Nov 01 2011 gil <gil> 0.6.1-1.mga2
+ Revision: 160940
- edit spec file
- imported package felix-gogo-shell

